## nom.tam.fits
Class TruncatedFileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              nom.tam.fits.FitsException
                  nom.tam.fits.TruncatedFileException

All Implemented Interfaces:
  Serializable

public class TruncatedFileException
extends FitsException

This exception is thrown when an EOF is detected in the middle of an HDU.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`TruncatedFileException()`
`TruncatedFileException(String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TruncatedFileException

    public TruncatedFileException()

### TruncatedFileException

    public TruncatedFileException(String msg)